import Header from "../../Components/Header/Header";
import styles from "../../styles";
import RestrictedComponent from "../../Components/RestrictedComponent/RestrictedComponent";
import TechnicianWidgets from "../../Components/DashboardPage/TechnicianWidgets";
import TechnicianButtons from "../../Components/DashboardPage/TechnicianButtons";
import TechnicianLogs from "../../Components/DashboardPage/TechnicianLogs";
export default function Dashboard() {
  return (
    <div style={styles.background}>
      <Header label={"Dashboard"} />
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianWidgets />
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianButtons />
      </RestrictedComponent>
      <RestrictedComponent allow_only={"Technician"}>
        <TechnicianLogs />
      </RestrictedComponent>
    </div>
  );
}
